Description

There are two places in the system that may not be safe if used concurrently.

During loading of mdb plots the file is saved to the filesystem of the machine
hosting the rmi server. If a different user were to try to load a plot before

the previous one is read then it is likely that the system would intermingle the
data from the two plots. This needs to be confirmed.

FIX:

The simple solution is to lock the plot loading component until it is finished

its work and send the next user a message like "System busy try latter". This is
not ideal.

Mike Lee suggested creating a unique ODBC connection and filename for each
uploaded file and remove them when finished. This is a good idea, not sure how
long this would take to impliment since | need to learn how to do this but it
sounds straightforward ... need to investigate.

The other potential problem is with the viewing/downloading plots. This is a
similar case where a file is writtian to the system and another process presents
it to the user.

FIX:

| think this could be handled by not writing the file to disk and passing it as
around as an in memory java object. This may already be the implimented and no
problem exists, if not it is a quick fix.

History

#1 - 07/24/2003 10:25 AM - Gabriel Farrell
This work has been completed, form the web-interface | am unware of any existing
concurency issues.

The plot loading via the rmi-server has a lock around it that | hope is adequate

in real use cases but it is not robust in a all cases ( 10 minute lock). Ideally

the rmi subsystem goes the way of the dodo but right now it is the primary means
of getting data into the system.

#2 - 01/31/2005 02:53 PM - Michael Lee
changed from components that are to be deleted to "misc" so that bugs don't get

deleted with component. Sorry for all the email.

#3 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 978
